AWS
probe ELBv2

# is_access_log_enabled

Verify access logging enabled on load balancer

Run it now
View details

Type | probe
Module | chaosaws.elbv2.probes
Name | is_access_log_enabled
Return | mapping

Usage

JSON

    {
      "name": "is-access-log-enabled",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosaws.elbv2.probes",
        "func": "is_access_log_enabled",
        "arguments": {
          "load_balancer_arn": ""
        }
      }
    }

YAML

    name: is-access-log-enabled
    provider:
      arguments:
        load_balancer_arn: ""
      func: is_access_log_enabled
      module: chaosaws.elbv2.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
load_balancer_arn | list |  | Yes | Load Balancer ARN |

Signature

    def is_access_log_enabled(
            load_balancer_arn: str,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action ELBv2

  ## `set_security_groups`

  Changes the security groups for the specified load balancer(s)
- AWS
  action ELBv2

  ## `enable_access_log`

  Enable or disable access logs of ELB
- AWS
  action ELBv2

  ## `delete_load_balancer`

  Deletes the provided load balancer(s)